import React from 'react';
export declare type ContextProvider<T> = {
    children: React.ReactNode;
    value?: T;
};
export declare type ContextSource = {
    [displayName: string]: any;
};
export declare const createBaseContext: <T extends ContextSource>(contextSource: T) => {
    stateContext: React.Context<any>;
    dispatchContext: React.Context<any>;
    subscription: Set<() => void>;
};
